Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.18
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## iaik.pkcs.pkcs11.wrapper
Class CK_ECDH2_DERIVE_PARAMS

    java.lang.Object
      |
      +--iaik.pkcs.pkcs11.wrapper.CK_ECDH2_DERIVE_PARAMS

public class CK_ECDH2_DERIVE_PARAMS
extends java.lang.Object

class CK_ECDH2_DERIVE_PARAMS provides the parameters to the CKM_ECMQV_DERIVE mechanism.

PKCS#11 structure:

     typedef struct CK_ECDH2_DERIVE_PARAMS {
       CK_EC_KDF_TYPE kdf;
       CK_ULONG ulSharedDataLen;
       CK_BYTE_PTR pSharedData;
       CK_ULONG ulPublicDataLen;
       CK_BYTE_PTR pPublicData;
       CK_ULONG ulPrivateDataLen;
       CK_OBJECT_HANDLE hPrivateData;
       CK_ULONG ulPublicDataLen2;
       CK_BYTE_PTR pPublicData2;
     } CK_ECDH2_DERIVE_PARAMS;

Author:
  Karl Scheibelhofer

Field Summary
`long` | `hPrivateData` PKCS#11:
`long` | `kdf` PKCS#11:
`byte[]` | `pPublicData` PKCS#11:
`byte[]` | `pPublicData2` PKCS#11:
`byte[]` | `pSharedData` PKCS#11:
`long` | `ulPrivateDataLen` PKCS#11:

Constructor Summary
`CK_ECDH2_DERIVE_PARAMS()`

Method Summary
`java.lang.String` | `toString()` Returns the string representation of CK_PKCS5_PBKD2_PARAMS.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### kdf

    public long kdf

  PKCS#11:

         CK_EC_KDF_TYPE kdf;

### pSharedData

    public byte[] pSharedData

  PKCS#11:

         CK_ULONG ulSharedDataLen;
         CK_BYTE_PTR pSharedData;

### pPublicData

    public byte[] pPublicData

  PKCS#11:

         CK_ULONG ulPublicDataLen;
         CK_BYTE_PTR pPublicData;

### ulPrivateDataLen

    public long ulPrivateDataLen

  PKCS#11:

         CK_ULONG ulPrivateDataLen;

### hPrivateData

    public long hPrivateData

  PKCS#11:

         CK_OBJECT_HANDLE hPrivateData;

### pPublicData2

    public byte[] pPublicData2

  PKCS#11:

         CK_ULONG ulPublicDataLen2;
         CK_BYTE_PTR pPublicData2;

Constructor Detail

### CK_ECDH2_DERIVE_PARAMS

    public CK_ECDH2_DERIVE_PARAMS()

Method Detail

### toString

    public java.lang.String toString()

  Returns the string representation of CK_PKCS5_PBKD2_PARAMS.
  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    the string representation of CK_PKCS5_PBKD2_PARAMS

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.18
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

IAIK JavaSecurity Website http://jce.iaik.tugraz.at/
IAIK at Graz University of Technology, Austria, Europe
Copyright 2001-2004, IAIK, Graz University of Technology, Inffeldgasse 16a, 8010 Graz, Austria. All Rights Reserved. version 1.2.18